package cn.sikey.tools.dal.mysql;

import cn.sikey.tools.controller.app.firmware.vo.QueryFirmwareUpgradeReqVO;
import cn.sikey.tools.dal.dataobject.FirmwareUpgradeDO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 固件
 *
 * @author nelson
 */
@Mapper
public interface FirmwareMapper extends BaseMapper<FirmwareUpgradeDO> {

    default List<FirmwareUpgradeDO> queryFirmwareUpgrade(QueryFirmwareUpgradeReqVO reqVO) {
        QueryWrapper<FirmwareUpgradeDO> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("project",reqVO.getProject());
        return selectList(queryWrapper);
    }

}


